:root{
    --spiller-border: 3px;
}
/*Add hover border effect*/

div.spiller{
    width: 10rem;
    position: relative;
    aspect-ratio: 516 / 715;
    border: var(--spiller-border) solid transparent;    
    border-radius: 0.5rem;
    overflow: hidden;
    transition: border-color 0.3s ease-out;
}

div.spiller::after{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 2;
    background: linear-gradient(0deg, rgba(204, 204, 204, 0.5) 0%, rgba(255,255,255,0) 25%);
    opacity: 1;
    transition: opacity 0.3s ease-out;
}

div.spiller:has(input:checked)::after{
    opacity: 0;
}

div.spiller:hover{
    border-color: rgba(0, 0, 0, 0.3);
}

div.spiller:has(input:checked){
    border-color: var(--light-blue);
}

div.spiller:has(input:checked)::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 2;
    background: linear-gradient(0deg, var(--light-blue) 0%, rgba(255,255,255,0) 25%);
}
div.spiller:has(input:checked) div.thumbnail img{
    scale: 1.075;
}


div.spiller input{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 5;
    opacity: 0;    
    cursor: pointer;
}
div.spiller div.thumbnail{
    position: relative;
    width: 100%;
    height: 100%;
}

div.spiller div.thumbnail img{
    object-position: top center;
    object-fit: cover;
    width: 100%;
    height: 100%;
    transition: scale 0.2s ease-in-out;
}

.modal-body form .row>div{
    padding-inline: 0.5rem;
    display: grid;
    gap: 0.5rem;
    grid-template-columns: repeat(auto-fit, minmax(10rem, 1fr));
}

.modal-dialog{
    max-width: min(60rem, 90%);
}